@import "abstracts/abstracts";

:host {
  display: block;
  padding: 20px;

  .overlay {
    background-color: $white;
    color: $text-color;
    padding: 10px;
    padding-right: 20px;
    border-radius: 4px;

    display: grid;
    grid-template-columns: max-content 300px;
    align-items: center;
    grid-gap: 20px;
    box-shadow: 0px 2px 20px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);

    .avatar-wrapper {

    }

    .informations {
      display: grid;
      align-items: center;
      grid-template-columns: 1fr;
      grid-template-rows: max-content max-content;
      grid-gap: 8px;

      .name-wrapper {
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 10px;

        &.with-icon {
          grid-template-columns: minmax(40px, max-content) max-content;
        }

        .icon {
          cursor: pointer;
        }
      }

      .name {
        font-weight: bold;
        font-size: 20px;
        @include truncate-with-ellipsis;
      }

      .url-wrapper {
        @include truncate-with-ellipsis;

        .url {
          font-size: 12px;
          @include truncate-with-ellipsis;
        }
      }
    }
  }
}

@include isInDarkMode {
  :host {
    .overlay {
      background-color: $dark-mode-background;
      color: $dark-mode-text-color;
    }
  }
}
